
str2array16 = function str2array (a) {
	// str2array('a') = [65,0]
	var A = new Int16Array(a.length * 2)
	var n = 0
	for (var i = 0; i < a.length; i++) {
		var c = a.charCodeAt(i)
		A[n++] = c & 0xff
		A[n++] = (c >> 8) & 0xff
	}
	return A
}

array2str16 = function array2str (a) {
	/*
		this is ~10x slower than str2array, but that's all you've got
		without using node.js Buffer
	*/
	var R = ''
	for (var i = 0; i < a.length; i++) {
		var L = a[i++]
		var H = a[i]
		R += String.fromCharCode(L + (H << 8))
	}
	return R
}
